/* banner */
.top-banner-wrapper{position: relative;background-color: #000000;overflow: hidden;}
.top-banner-wrapper .t-banner-img{position: relative;z-index: 1;background: no-repeat center;background-size: cover;padding: 17.5rem 0;}
.top-banner-wrapper .t-banner-img::before{-webkit-mask-image: linear-gradient(to right, rgba(0,121,181,0.7) 0%,rgba(52,56,62,0.5) 30%,rgba(52,56,62,0) 100%);mask-image: linear-gradient(to right, rgba(0,121,181,0.7) 0%,rgba(52,56,62,0.5) 30%,rgba(52,56,62,0) 100%);position: absolute;left: 0;top: 0;width: 100%;height: 100%;background-color: #000000;content: '';}
.top-banner-wrapper .t-banner-container{position: relative; z-index: 10;}
.top-banner-wrapper .t-banner-container .t-b-title{font-size: 2.25rem;line-height: 1;}
.top-banner-wrapper .t-banner-container .t-b-line{display: inline-block;margin-top: 2.375rem; width: 8.625rem;height: 4px;background-color: #ffffff;}
.top-banner-wrapper .t-banner-container .t-b-desc{margin-top: 1.25rem; font-size: 1.5625rem;width: 37%;}
@media screen and (max-width: 992px){
    .top-banner-wrapper .t-banner-img{padding: 6.25rem 0;}
    .top-banner-wrapper .t-banner-container .t-b-title{font-size: 1.5rem;}
    .top-banner-wrapper .t-banner-container .t-b-line{margin-top: 1.25rem;}
    .top-banner-wrapper .t-banner-container .t-b-desc{width: 65%;font-size: 1rem;margin-top: 1rem;}
}


/* core */
.core-wrapper{margin:6.25rem 0 4.5rem}
.core-wrapper .core-top-title{font-size: 2.25rem;line-height: 1;text-align: center;}
.core-wrapper .core-box{margin-top: 5.625rem;align-items: center;}
.core-wrapper .core-box .core-img{aspect-ratio: 69 / 52;border-radius: 1.25rem;overflow: hidden;padding: 0;}
.core-wrapper .core-box .core-img img{width: 100%;height: 100%;object-fit: cover;}
.core-wrapper .core-box .core-list{padding:0 3.125rem 0 2.1875rem;box-sizing: border-box;}
.core-wrapper .core-box .core-list .core-item{padding-left: 3.125rem;box-sizing: border-box;margin-bottom: 1.875rem;position: relative;}
.core-wrapper .core-box .core-list .core-item:last-of-type{margin-bottom: 0;}
.core-wrapper .core-box .core-list .core-item::before{content: '';position: absolute;top: 0;left: 0;width: 1.75rem;height: 1.75rem;background: url(../images/core-icon.png) no-repeat center;}
.core-wrapper .core-box .core-list .core-item .core-item-title{font-size: 1.375rem;line-height: 1;}
.core-wrapper .core-box .core-list .core-item .core-item-instro{margin-top: 5px;}
@media screen and (max-width: 992px){
    .core-wrapper{margin:0}
    .core-wrapper .core-top-title{font-size: 1.5rem;}
    .core-wrapper .core-box{margin: 2.25rem 0 0;}
    .core-wrapper .core-box .core-list{margin-top: 1.875rem;padding: 0 1.25rem 0 1rem;}
    .core-wrapper .core-box .core-list .core-item{margin-bottom: 1rem;}
    .core-wrapper .core-box .core-list .core-item .core-item-title{font-size: 1.125rem;}
    .core-wrapper .core-box .core-list .core-item .core-item-instro{font-size: .875rem;}
}

.engineering-wrapper{overflow: hidden;}
.engineering-wrapper .eng-top{padding:0 21%;}
.engineering-wrapper .eng-top .eng-top-title{font-size: 2.25rem;}
.engineering-wrapper .eng-top .eng-top-instro{margin-top: 1.25rem;}
.engineering-wrapper .eng-box{margin: 3.625rem 0 0;align-items: center;}
.engineering-wrapper .eng-box .eng-img{aspect-ratio: 69 / 52;border-radius: 1.25rem;overflow: hidden;padding: 0;}
.engineering-wrapper .eng-box .eng-img img{width: 100%;height: 100%;object-fit: cover;}
.engineering-wrapper .eng-box .eng-list{padding:0 4.0625rem 0 0;box-sizing: border-box;}
.engineering-wrapper .eng-box .eng-list .eng-item{border-bottom: 1px solid #ffffff;margin-bottom: 1.625rem;padding: 0 1.25rem;}
.engineering-wrapper .eng-box .eng-list .eng-item:last-of-type{margin-bottom: 0;}
.engineering-wrapper .eng-box .eng-list .eng-item .eng-item-title{font-size: 1.125rem;line-height: 1.2;}
.engineering-wrapper .eng-box .eng-list .eng-item .eng-item-instro{margin: .875rem 0 .75rem; }
@media screen and (max-width: 992px){
    .engineering-wrapper .eng-top{padding: 0;}
    .engineering-wrapper .eng-top .eng-top-title{font-size: 1.5rem;}
    .engineering-wrapper .eng-top .eng-top-instro{margin-top: 1rem;font-size: .875rem;}
    .engineering-wrapper .eng-box{margin-top: 1.875rem;}
    .engineering-wrapper .eng-box .eng-list{padding: 0;}
    .engineering-wrapper .eng-box .eng-img{margin-top: 1.875rem;}
    .engineering-wrapper .eng-box .eng-list .eng-item .eng-item-title{font-size: 1rem;}
    .engineering-wrapper .eng-box .eng-list .eng-item .eng-item-instro{font-size: .875rem;margin: .75rem 0 .625rem;}
}

/* app */
.app-wrapper{overflow: hidden;}
.app-wrapper .app-top{padding:0 19%;margin-top: 2.375rem;}
.app-wrapper .app-top .app-top-title{font-size: 2.25rem;}
.app-wrapper .app-top .app-top-instro{margin-top: 3.125rem;}
.app-wrapper .app-box{display: grid;grid-template-columns: repeat(3, 1fr);gap: 1rem;margin-top: 5.375rem;}
.app-wrapper .app-box .app-item{background-color: var(--bs-main-bg);border-radius: 1.25rem;overflow: hidden;padding:4.375rem 2.5rem 2.5rem;box-sizing: border-box;}
.app-wrapper .app-box .app-item .app-item-line{width: 3rem;height: 2px;background-color: #ffffff;margin:1.25rem 0;}
@media screen and (max-width: 992px){
    .app-wrapper .app-top{margin-top: 0;padding: 0;}
    .app-wrapper .app-top .app-top-title{font-size: 1.5rem;}
    .app-wrapper .app-top .app-top-instro{margin-top: 1rem;font-size: .875rem;}
    .app-wrapper .app-box{grid-template-columns: repeat(2, 1fr);margin-top: 2.5rem;}
    .app-wrapper .app-box .app-item{padding: 1.875rem 1.25rem 1.25rem;}
    .app-wrapper .app-box .app-item .app-item-line{margin: 1rem 0;}
    .app-wrapper .app-box .app-item .app-item-instro{font-size: .875rem;}
}

/* sol-contact */
.sol-contact-wrapper{position: relative;background-color: #000000;overflow: hidden;}
.sol-contact-wrapper .sol-contact-img{position: relative;z-index: 1;padding:13.125rem 0 11.875rem;background: no-repeat center;background-size: cover;}
.sol-contact-wrapper .sol-contact-img::after{-webkit-mask-image: linear-gradient(to right, rgba(22,22,22,1) 65%,rgba(22,22,22,0) 100%,rgba(22,22,22,0) 100%);mask-image: linear-gradient(to right, rgba(22,22,22,1) 65%,rgba(22,22,22,0) 100%,rgba(22,22,22,0) 100%);content: '';position: absolute;top: 0;left: 0;width: 50%;height: 100%;background-color: rgba(22,22,22,1);}
.sol-contact-wrapper .sol-contact-container{position: relative; z-index: 10;}
.sol-contact-wrapper .sol-contact-container .sol-contact-title{font-size: 2.25rem;line-height: 1.2;width: 40%;}
.sol-contact-wrapper .sol-contact-container .sol-contact-instro{margin-top: 1.25rem;}
.sol-contact-wrapper .sol-contact-container .sol-contact-btn{display: inline-block; margin-top: 3.75rem; font-size: .875rem;color: #ffffff;background-color: var(--bs-theme-color);border-radius: 1.25rem;padding: .375rem 1.5625rem;border: 1px solid var(--bs-theme-color);}
.sol-contact-wrapper .sol-contact-container .sol-contact-btn:hover{background-color: transparent;color:#ffffff;}
@media screen and (max-width: 992px){
    .sol-contact-wrapper .sol-contact-img{padding: 6.25rem 0 5rem;}
    .sol-contact-wrapper .sol-contact-container .sol-contact-title{font-size: 1.5rem;width: 100%;}
    .sol-contact-wrapper .sol-contact-container .sol-contact-instro{font-size: .875rem;margin-top: .625rem;}
    .sol-contact-wrapper .sol-contact-container .sol-contact-btn{font-size: .75rem;padding: .3125rem 1.125rem;margin-top: 1.875rem;}
}